Bug 9948 - serial console doesn't work with ctrl-c or ctrl-d
serial console doesn't work with ctrl-c or ctrl-d
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: getty_ps (Show other bugs)
7.0
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
: 7943 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-03 22:06 EST by Joshua Uziel
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 23:23:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Uziel 2000-03-03 22:06:49 EST
I have a few SPARC machines here that I often run with a serial
console rather than a monitor.  The problem is (and this is with
all RH 6.x for SPARC, including the lattest beta 6.1.92) that
neither ctrl-c nor ctrl-d work by default.  If you hit them,
they're almost registered as normal keystrokes and do not function
normally.  The problem can be traced to this line in /etc/inittab:

	co:2345:respawn:/sbin/getty console DT9600 vt100

The problem is that the getty mistreats /dev/console on SPARCs
somehow.  This is easily fixed in one of two ways:

a) Change that line to use use ttyS0 device rather than the console
device.  If you change it to

	co:2345:respawn:/sbin/getty ttyS0 DT9600 vt100

then all will be well (and you'll of course need to add "ttyS0" to
the /etc/securetty file).

b) Change the getty in use.  Debian uses "agetty" with util-linux,
which doesn't have show this problem.  A correct /etc/inittab line is

	co:2345:respawn:/sbin/agetty -L console 9600 vt100

if agetty is installed on the system.

Redhat can fix this by either packaging and defaulting to a different
getty, or defaulting to /dev/ttyS0 instead of /dev/console for the
current getty.

This bug is reproducable easily.  If anyone would like to verify it
for themselves using my machine, email me or talk to Matt Wilson
about contacting me.
Comment 1 Bill Nottingham 2000-03-04 13:03:59 EST
*** Bug 7943 has been marked as a duplicate of this bug. ***
Comment 2 Need Real Name 2001-01-18 08:46:45 EST
This problem persists in RedHat 6.2 and 7.0.
Comment 3 Stephen John Smoogen 2003-01-24 23:23:45 EST
Bug 9948 is being closed with Red Hat Linux 7.0 and 6.2 coming to end of life,
and Red Hat no longer pursueing a Sparc port. Please look at
http://auroralinux.org for community based support on Sparc.

Note You need to log in before you can comment on or make changes to this bug.